aboutsummaryrefslogtreecommitdiffstats
path: root/freedom-maker/bin
diff options
context:
space:
mode:
Diffstat (limited to 'freedom-maker/bin')
-rwxr-xr-xfreedom-maker/bin/finalize8
-rwxr-xr-xfreedom-maker/bin/packages35
-rwxr-xr-xfreedom-maker/bin/packages-chroot4
3 files changed, 43 insertions, 4 deletions
diff --git a/freedom-maker/bin/finalize b/freedom-maker/bin/finalize
index 9995b77..a6cb7da 100755
--- a/freedom-maker/bin/finalize
+++ b/freedom-maker/bin/finalize
@@ -49,8 +49,8 @@ echo $hostname > $target/etc/hostname
chown root:root $target/sbin/copy2dream
chmod 744 $target/sbin/copy2dream
-# prepare chroot project finalization
-cp bin/projects-chroot $target/
+# prepare chroot package finalization
+cp bin/packages-chroot $target/
echo "Using qemu-user-static to perform first-boot configuration now."
chmod 755 $target/install.sh
@@ -58,8 +58,8 @@ cp /usr/bin/qemu-arm-static $target/usr/bin
echo "Running install script from source/install.sh"
chroot $target /install.sh
echo "Running install script from bin/projects-chroot"
-chroot $target /projects-chroot
+chroot $target /packages-chroot
# clean up.
-rm "${target}/projects-chroot"
+rm "${target}/packages-chroot"
rm "${target}/usr/bin/qemu-arm-static"
diff --git a/freedom-maker/bin/packages b/freedom-maker/bin/packages
new file mode 100755
index 0000000..15d17a4
--- /dev/null
+++ b/freedom-maker/bin/packages
@@ -0,0 +1,35 @@
+#! /bin/bash
+#
+# Copyright 2012 by Nick Daly <nick.m.daly@gmail.com>
+#
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+
+# projects
+#
+# Installs external projects to the system.
+
+
+# We don't tolerate errors.
+set -e
+
+echo "Adding extra torouter stuff..."
+mkdir -p $homedir/uap_hack
+cp -v $basedir/../../uap_hack/* $homedir/uap_hack
+mkdir -p $homedir/src
+git clone $basedir/../.. $homedir/src/torouter
+mkdir -p $target/tmp/dpkg
+cp -v $basedir/../../packages/packages-for-upload/*.deb $target/tmp/dpkg
+
+chown -R 1000:1000 $homedir
diff --git a/freedom-maker/bin/packages-chroot b/freedom-maker/bin/packages-chroot
new file mode 100755
index 0000000..42020c4
--- /dev/null
+++ b/freedom-maker/bin/packages-chroot
@@ -0,0 +1,4 @@
+#! /bin/sh
+
+dpkg -i /tmp/dpkg/*.deb
+